#ifndef __TRANSFER_C_CPP_H__
#define __TRANSFER_C_CPP_H__

#include "api/common.h"
#include "api_c/common_c.h"
#include "api_c/room_c.h"
#include "api/musermanager.h"
#include "api_c/musermanager_c.h"
#include "api/mvideo.h"
#include "api_c/mvideo_c.h"
#include "api/mchat.h"
#include "api_c/mchat_c.h"

namespace utility {
	void CameraCpp2C(const rtc::Camera& f, AVDCamera& t);
	void CameraC2Cpp(const AVDCamera& f, rtc::Camera& t);
	void AudioInfoC2Cpp(const AVDAudioInfo& f, rtc::AudioInfo& t);
	void MediaStatsC2Cpp(const AVDMediaStats& f, rtc::MediaStats& t);
    void NetStatsC2Cpp(const AVDNetworkStats& f, rtc::NetworkStats& t);
	
}
#endif//__TRANSFER_C_CPP_H__
